ADAM_2.12: APIs for Java, Python 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package api
  Definition Classes
    adam
-  package java
  Definition Classes
    api
- AlignmentsToAlignmentsConverter
- AlignmentsToCoverageConverter
- AlignmentsToCoverageDatasetConverter
- AlignmentsToFeaturesConverter
- AlignmentsToFeaturesDatasetConverter
- AlignmentsToFragmentsConverter
- AlignmentsToFragmentsDatasetConverter
- AlignmentsToGenotypesConverter
- AlignmentsToGenotypesDatasetConverter
- AlignmentsToReadsConverter
- AlignmentsToReadsDatasetConverter
- AlignmentsToSequencesConverter
- AlignmentsToSequencesDatasetConverter
- AlignmentsToSlicesConverter
- AlignmentsToSlicesDatasetConverter
- AlignmentsToVariantContextConverter
- AlignmentsToVariantsConverter
- AlignmentsToVariantsDatasetConverter
- CoverageToAlignmentsConverter
- CoverageToAlignmentsDatasetConverter
- CoverageToCoverageConverter
- CoverageToFeaturesConverter
- CoverageToFeaturesDatasetConverter
- CoverageToFragmentsConverter
- CoverageToFragmentsDatasetConverter
- CoverageToGenotypesConverter
- CoverageToGenotypesDatasetConverter
- CoverageToReadsConverter
- CoverageToReadsDatasetConverter
- CoverageToSequencesConverter
- CoverageToSequencesDatasetConverter
- CoverageToSlicesConverter
- CoverageToSlicesDatasetConverter
- CoverageToVariantContextConverter
- CoverageToVariantsConverter
- CoverageToVariantsDatasetConverter
- FeaturesToAlignmentsConverter
- FeaturesToAlignmentsDatasetConverter
- FeaturesToCoverageConverter
- FeaturesToCoverageDatasetConverter
- FeaturesToFeatureConverter
- FeaturesToFragmentsConverter
- FeaturesToFragmentsDatasetConverter
- FeaturesToGenotypesConverter
- FeaturesToGenotypesDatasetConverter
- FeaturesToReadsConverter
- FeaturesToReadsDatasetConverter
- FeaturesToSequencesConverter
- FeaturesToSequencesDatasetConverter
- FeaturesToSlicesConverter
- FeaturesToSlicesDatasetConverter
- FeaturesToVariantContextConverter
- FeaturesToVariantsConverter
- FeaturesToVariantsDatasetConverter
- FragmentsToAlignmentsConverter
- FragmentsToAlignmentsDatasetConverter
- FragmentsToCoverageConverter
- FragmentsToCoverageDatasetConverter
- FragmentsToFeaturesConverter
- FragmentsToFeaturesDatasetConverter
- FragmentsToFragmentsConverter
- FragmentsToGenotypesConverter
- FragmentsToGenotypesDatasetConverter
- FragmentsToReadsConverter
- FragmentsToReadsDatasetConverter
- FragmentsToSequencesConverter
- FragmentsToSequencesDatasetConverter
- FragmentsToSlicesConverter
- FragmentsToSlicesDatasetConverter
- FragmentsToVariantContextConverter
- FragmentsToVariantsConverter
- FragmentsToVariantsDatasetConverter
- GenotypesToAlignmentsConverter
- GenotypesToAlignmentsDatasetConverter
- GenotypesToCoverageConverter
- GenotypesToCoverageDatasetConverter
- GenotypesToFeaturesConverter
- GenotypesToFeaturesDatasetConverter
- GenotypesToFragmentsConverter
- GenotypesToFragmentsDatasetConverter
- GenotypesToGenotypesConverter
- GenotypesToReadsConverter
- GenotypesToReadsDatasetConverter
- GenotypesToSequencesConverter
- GenotypesToSequencesDatasetConverter
- GenotypesToSlicesConverter
- GenotypesToSlicesDatasetConverter
- GenotypesToVariantContextConverter
- GenotypesToVariantsConverter
- GenotypesToVariantsDatasetConverter
- JavaADAMContext
- ReadsToAlignmentsConverter
- ReadsToAlignmentsDatasetConverter
- ReadsToCoverageConverter
- ReadsToCoverageDatasetConverter
- ReadsToFeaturesConverter
- ReadsToFeaturesDatasetConverter
- ReadsToFragmentsConverter
- ReadsToFragmentsDatasetConverter
- ReadsToGenotypesConverter
- ReadsToGenotypesDatasetConverter
- ReadsToReadsConverter
- ReadsToSequencesConverter
- ReadsToSequencesDatasetConverter
- ReadsToSlicesConverter
- ReadsToSlicesDatasetConverter
- ReadsToVariantContextsConverter
- ReadsToVariantsConverter
- ReadsToVariantsDatasetConverter
- SequencesToAlignmentsConverter
- SequencesToAlignmentsDatasetConverter
- SequencesToCoverageConverter
- SequencesToCoverageDatasetConverter
- SequencesToFeaturesConverter
- SequencesToFeaturesDatasetConverter
- SequencesToFragmentsConverter
- SequencesToFragmentsDatasetConverter
- SequencesToGenotypesConverter
- SequencesToGenotypesDatasetConverter
- SequencesToReadsConverter
- SequencesToReadsDatasetConverter
- SequencesToSequencesConverter
- SequencesToSlicesConverter
- SequencesToSlicesDatasetConverter
- SequencesToVariantContextsConverter
- SequencesToVariantsConverter
- SequencesToVariantsDatasetConverter
- SlicesToAlignmentsConverter
- SlicesToAlignmentsDatasetConverter
- SlicesToCoverageConverter
- SlicesToCoverageDatasetConverter
- SlicesToFeaturesConverter
- SlicesToFeaturesDatasetConverter
- SlicesToFragmentsConverter
- SlicesToFragmentsDatasetConverter
- SlicesToGenotypesConverter
- SlicesToGenotypesDatasetConverter
- SlicesToReadsConverter
- SlicesToReadsDatasetConverter
- SlicesToSequencesConverter
- SlicesToSequencesDatasetConverter
- SlicesToSlicesConverter
- SlicesToVariantContextsConverter
- SlicesToVariantsConverter
- SlicesToVariantsDatasetConverter
- ToAlignmentDatasetConversion
- ToCoverageDatasetConversion
- ToFeatureDatasetConversion
- ToFragmentDatasetConversion
- ToGenotypeDatasetConversion
- ToReadDatasetConversion
- ToSequenceDatasetConversion
- ToSliceDatasetConversion
- ToVariantContextDatasetConversion
- ToVariantDatasetConversion
- VariantContextsToAlignmentsConverter
- VariantContextsToCoverageConverter
- VariantContextsToFeaturesConverter
- VariantContextsToFragmentsConverter
- VariantContextsToGenotypesConverter
- VariantContextsToReadsConverter
- VariantContextsToSequencesConverter
- VariantContextsToSlicesConverter
- VariantContextsToVariantContextConverter
- VariantContextsToVariantsConverter
- VariantsToAlignmentsConverter
- VariantsToAlignmentsDatasetConverter
- VariantsToCoverageConverter
- VariantsToCoverageDatasetConverter
- VariantsToFeaturesConverter
- VariantsToFeaturesDatasetConverter
- VariantsToFragmentsConverter
- VariantsToFragmentsDatasetConverter
- VariantsToGenotypesConverter
- VariantsToGenotypesDatasetConverter
- VariantsToReadsConverter
- VariantsToReadsDatasetConverter
- VariantsToSequencesConverter
- VariantsToSequencesDatasetConverter
- VariantsToSlicesConverter
- VariantsToSlicesDatasetConverter
- VariantsToVariantContextConverter
- VariantsToVariantsConverter

c

org.bdgenomics.adam.api.java

# JavaADAMContext 

###
Companion object JavaADAMContext

#### class JavaADAMContext extends Serializable

The JavaADAMContext provides java-friendly functions on top of ADAMContext.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaADAMContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JavaADAMContext(ac: ADAMContext)

   ac

     The ADAMContext to wrap.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val ac: ADAMContext
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  def getSparkContext: JavaSparkContext

    returns

      Returns the Java Spark Context associated with this Java ADAM Context.

11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def loadAlignments(pathName: String, stringency: ValidationStringency): AlignmentDataset

    (Java-specific) Load alignments into an AlignmentDataset.

    (Java-specific) Load alignments into an AlignmentDataset.

    Loads path names ending in: * .bam/.cram/.sam as BAM/CRAM/SAM format, * .fa/.fasta as FASTA format, * .fq/.fastq as FASTQ format, and * .ifq as interleaved FASTQ format.

    If none of these match, fall back to Parquet + Avro.

    For FASTA, FASTQ, and interleaved FASTQ formats, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load alignments from. Globs/directories are supported, although file extension must be present for BAM/CRAM/SAM, FASTA, and FASTQ formats.

    stringency

      The validation stringency to use when validating BAM/CRAM/SAM or FASTQ formats.

    returns

      Returns an AlignmentDataset which wraps the genomic dataset of alignments, sequence dictionary representing contigs the alignments may be aligned to, and the read group dictionary for the alignments if one is available.

    See also

      ADAMContext#loadAlignments

14.  def loadAlignments(pathName: String): AlignmentDataset

    (Java-specific) Load alignments into an AlignmentDataset.

    (Java-specific) Load alignments into an AlignmentDataset.

    Loads path names ending in: * .bam/.cram/.sam as BAM/CRAM/SAM format, * .fa/.fasta as FASTA format, * .fq/.fastq as FASTQ format, and * .ifq as interleaved FASTQ format.

    If none of these match, fall back to Parquet + Avro.

    For FASTA, FASTQ, and interleaved FASTQ formats, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load alignments from. Globs/directories are supported, although file extension must be present for BAM/CRAM/SAM, FASTA, and FASTQ formats.

    returns

      Returns an AlignmentDataset which wraps the genomic dataset of alignments, sequence dictionary representing contigs the alignments may be aligned to, and the read group dictionary for the alignments if one is available.

    See also

      ADAMContext#loadAlignments

15.  def loadCoverage(pathName: String, stringency: ValidationStringency): CoverageDataset

    (Java-specific) Load features into a FeatureDataset and convert to a CoverageDataset.

    (Java-specific) Load features into a FeatureDataset and convert to a CoverageDataset. Coverage is stored in the score field of Feature.

    Loads path names ending in: * .bed as BED6/12 format, * .gff3 as GFF3 format, * .gtf/.gff as GTF/GFF2 format, * .narrow[pP]eak as NarrowPeak format, and * .interval_list as IntervalList format.

    If none of these match, fall back to Parquet + Avro.

    For BED6/12, GFF3, GTF/GFF2, NarrowPeak, and IntervalList formats, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load features from. Globs/directories are supported, although file extension must be present for BED6/12, GFF3, GTF/GFF2, NarrowPeak, or IntervalList formats.

    stringency

      The validation stringency to use when validating BED6/12, GFF3, GTF/GFF2, NarrowPeak, or IntervalList formats.

    returns

      Returns a FeatureDataset converted to a CoverageDataset.

    See also

      ADAMContext#loadCoverage

16.  def loadCoverage(pathName: String): CoverageDataset

    (Java-specific) Load features into a FeatureDataset and convert to a CoverageDataset.

    (Java-specific) Load features into a FeatureDataset and convert to a CoverageDataset. Coverage is stored in the score field of Feature.

    Loads path names ending in: * .bed as BED6/12 format, * .gff3 as GFF3 format, * .gtf/.gff as GTF/GFF2 format, * .narrow[pP]eak as NarrowPeak format, and * .interval_list as IntervalList format.

    If none of these match, fall back to Parquet + Avro.

    For BED6/12, GFF3, GTF/GFF2, NarrowPeak, and IntervalList formats, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load features from. Globs/directories are supported, although file extension must be present for BED6/12, GFF3, GTF/GFF2, NarrowPeak, or IntervalList formats.

    returns

      Returns a FeatureDataset converted to a CoverageDataset.

    See also

      ADAMContext#loadCoverage

17.  def loadDnaSequences(pathName: String): SequenceDataset

    (Java-specific) Load DNA sequences into a SequenceDataset.

    (Java-specific) Load DNA sequences into a SequenceDataset.

    If the path name has a .fa/.fasta extension, load as FASTA format. Else, fall back to Parquet + Avro.

    For FASTA format, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load sequences from. Globs/directories are supported, although file extension must be present for FASTA format.

    returns

      Returns a SequenceDataset containing DNA sequences.

    See also

      ADAMContext#loadFastaDna

      ADAMContext#loadParquetSequences

18.  def loadFeatures(pathName: String, stringency: ValidationStringency): FeatureDataset

    (Java-specific) Load features into a FeatureDataset.

    (Java-specific) Load features into a FeatureDataset.

    Loads path names ending in: * .bed as BED6/12 format, * .gff3 as GFF3 format, * .gtf/.gff as GTF/GFF2 format, * .narrow[pP]eak as NarrowPeak format, and * .interval_list as IntervalList format.

    If none of these match, fall back to Parquet + Avro.

    For BED6/12, GFF3, GTF/GFF2, NarrowPeak, and IntervalList formats, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load features from. Globs/directories are supported, although file extension must be present for BED6/12, GFF3, GTF/GFF2, NarrowPeak, or IntervalList formats.

    stringency

      The validation stringency to use when validating BED6/12, GFF3, GTF/GFF2, NarrowPeak, or IntervalList formats.

    returns

      Returns a FeatureDataset.

    See also

      ADAMContext#loadFeatures

19.  def loadFeatures(pathName: String): FeatureDataset

    (Java-specific) Load features into a FeatureDataset.

    (Java-specific) Load features into a FeatureDataset.

    Loads path names ending in: * .bed as BED6/12 format, * .gff3 as GFF3 format, * .gtf/.gff as GTF/GFF2 format, * .narrow[pP]eak as NarrowPeak format, and * .interval_list as IntervalList format.

    If none of these match, fall back to Parquet + Avro.

    For BED6/12, GFF3, GTF/GFF2, NarrowPeak, and IntervalList formats, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load features from. Globs/directories are supported, although file extension must be present for BED6/12, GFF3, GTF/GFF2, NarrowPeak, or IntervalList formats.

    returns

      Returns a FeatureDataset.

    See also

      ADAMContext#loadFeatures

20.  def loadFragments(pathName: String, stringency: ValidationStringency): FragmentDataset

    (Java-specific) Load fragments into a FragmentDataset.

    (Java-specific) Load fragments into a FragmentDataset.

    Loads path names ending in: * .bam/.cram/.sam as BAM/CRAM/SAM format and * .ifq as interleaved FASTQ format.

    If none of these match, fall back to Parquet + Avro.

    For interleaved FASTQ format, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load fragments from. Globs/directories are supported, although file extension must be present for BAM/CRAM/SAM and FASTQ formats.

    stringency

      The validation stringency to use when validating BAM/CRAM/SAM or FASTQ formats.

    returns

      Returns a FragmentDataset.

    See also

      ADAMContext#loadFragments

21.  def loadFragments(pathName: String): FragmentDataset

    (Java-specific) Load fragments into a FragmentDataset.

    (Java-specific) Load fragments into a FragmentDataset.

    Loads path names ending in: * .bam/.cram/.sam as BAM/CRAM/SAM format and * .ifq as interleaved FASTQ format.

    If none of these match, fall back to Parquet + Avro.

    For interleaved FASTQ format, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load fragments from. Globs/directories are supported, although file extension must be present for BAM/CRAM/SAM and FASTQ formats.

    returns

      Returns a FragmentDataset.

    See also

      ADAMContext#loadFragments

22.  def loadGenotypes(pathName: String, stringency: ValidationStringency): GenotypeDataset

    (Java-specific) Load genotypes into a GenotypeDataset.

    (Java-specific) Load genotypes into a GenotypeDataset.

    If the path name has a .vcf/.vcf.gz/.vcf.bgzf/.vcf.bgz extension, load as VCF format. Else, fall back to Parquet + Avro.

    pathName

      The path name to load genotypes from. Globs/directories are supported, although file extension must be present for VCF format.

    stringency

      The validation stringency to use when validating VCF format.

    returns

      Returns a GenotypeDataset.

    See also

      ADAMContext#loadGenotypes

23.  def loadGenotypes(pathName: String): GenotypeDataset

    (Java-specific) Load genotypes into a GenotypeDataset.

    (Java-specific) Load genotypes into a GenotypeDataset.

    If the path name has a .vcf/.vcf.gz/.vcf.bgzf/.vcf.bgz extension, load as VCF format. Else, fall back to Parquet + Avro.

    pathName

      The path name to load genotypes from. Globs/directories are supported, although file extension must be present for VCF format.

    returns

      Returns a GenotypeDataset.

    See also

      ADAMContext#loadGenotypes

24.  def loadIndexedBam(pathName: String, viewRegions: List[ReferenceRegion], stringency: ValidationStringency): AlignmentDataset

    (Java-specific) Functions like loadBam, but uses BAM index files to look at fewer blocks, and only returns records within the specified ReferenceRegions.

    (Java-specific) Functions like loadBam, but uses BAM index files to look at fewer blocks, and only returns records within the specified ReferenceRegions. BAM index file required.

    pathName

      The path name to load indexed BAM formatted alignments from. Globs/directories are supported.

    viewRegions

      Iterable of ReferenceRegion we are filtering on.

    stringency

      The validation stringency to use when validating the BAM/CRAM/SAM format header. Defaults to ValidationStringency.STRICT.

    returns

      Returns an AlignmentDataset which wraps the genomic dataset of alignments, sequence dictionary representing contigs the alignments may be aligned to, and the read group dictionary for the alignments if one is available.

25.  def loadProteinSequences(pathName: String): SequenceDataset

    (Java-specific) Load protein sequences into a SequenceDataset.

    (Java-specific) Load protein sequences into a SequenceDataset.

    If the path name has a .fa/.fasta extension, load as FASTA format. Else, fall back to Parquet + Avro.

    For FASTA format, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load sequences from. Globs/directories are supported, although file extension must be present for FASTA format.

    returns

      Returns a SequenceDataset containing protein sequences.

    See also

      ADAMContext#loadFastaProtein

      ADAMContext#loadParquetSequences

26.  def loadReferenceFile(pathName: String): ReferenceFile

    (Java-specific) Load reference sequences into a broadcastable ReferenceFile.

    (Java-specific) Load reference sequences into a broadcastable ReferenceFile.

    If the path name has a .2bit extension, loads a 2bit file. Else, uses loadSlices to load the reference as an RDD, which is then collected to the driver. Uses a maximum fragment length of 10kbp.

    pathName

      The path name to load reference sequences from. Globs/directories for 2bit format are not supported.

    returns

      Returns a broadcastable ReferenceFile.

    See also

      ADAMContext#loadSlices

27.  def loadReferenceFile(pathName: String, maximumLength: Long): ReferenceFile

    (Java-specific) Load reference sequences into a broadcastable ReferenceFile.

    (Java-specific) Load reference sequences into a broadcastable ReferenceFile.

    If the path name has a .2bit extension, loads a 2bit file. Else, uses loadSlices to load the reference as an RDD, which is then collected to the driver.

    pathName

      The path name to load reference sequences from. Globs/directories for 2bit format are not supported.

    maximumLength

      Maximum fragment length. Defaults to 10000L. Values greater than 1e9 should be avoided.

    returns

      Returns a broadcastable ReferenceFile.

    See also

      ADAMContext#loadSlices

28.  def loadRnaSequences(pathName: String): SequenceDataset

    (Java-specific) Load RNA sequences into a SequenceDataset.

    (Java-specific) Load RNA sequences into a SequenceDataset.

    If the path name has a .fa/.fasta extension, load as FASTA format. Else, fall back to Parquet + Avro.

    For FASTA format, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load sequences from. Globs/directories are supported, although file extension must be present for FASTA format.

    returns

      Returns a SequenceDataset containing RNA sequences.

    See also

      ADAMContext#loadFastaRna

      ADAMContext#loadParquetSequences

29.  def loadSlices(pathName: String, maximumLength: Double): SliceDataset

    (R-specific) Load slices into a SliceDataset.

    (R-specific) Load slices into a SliceDataset.

    If the path name has a .fa/.fasta extension, load as DNA in FASTA format. Else, fall back to Parquet + Avro.

    For FASTA format, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load DNA slices from. Globs/directories are supported, although file extension must be present for FASTA format.

    maximumLength

      Maximum fragment length, in Double data type to support dispatch from SparkR.

    returns

      Returns a SliceDataset.

30.  def loadSlices(pathName: String, maximumLength: Integer): SliceDataset

    (Java/Python-specific) Load slices into a SliceDataset.

    (Java/Python-specific) Load slices into a SliceDataset.

    If the path name has a .fa/.fasta extension, load as DNA in FASTA format. Else, fall back to Parquet + Avro.

    For FASTA format, compressed files are supported through compression codecs configured in Hadoop, which by default include .gz and .bz2, but can include more.

    pathName

      The path name to load DNA slices from. Globs/directories are supported, although file extension must be present for FASTA format.

    maximumLength

      Maximum slice length, reduced to Integer data type to support dispatch from Python.

    returns

      Returns a SliceDataset.

31.  def loadVariants(pathName: String, stringency: ValidationStringency): VariantDataset

    (Java-specific) Load variants into a VariantDataset.

    (Java-specific) Load variants into a VariantDataset.

    If the path name has a .vcf/.vcf.gz/.vcf.bgzf/.vcf.bgz extension, load as VCF format. Else, fall back to Parquet + Avro.

    pathName

      The path name to load variants from. Globs/directories are supported, although file extension must be present for VCF format.

    stringency

      The validation stringency to use when validating VCF format.

    returns

      Returns a VariantDataset.

    See also

      ADAMContext#loadVariants

32.  def loadVariants(pathName: String): VariantDataset

    (Java-specific) Load variants into a VariantDataset.

    (Java-specific) Load variants into a VariantDataset.

    If the path name has a .vcf/.vcf.gz/.vcf.bgzf/.vcf.bgz extension, load as VCF format. Else, fall back to Parquet + Avro.

    pathName

      The path name to load variants from. Globs/directories are supported, although file extension must be present for VCF format.

    returns

      Returns a VariantDataset.

    See also

      ADAMContext#loadVariants

33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
36.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped